(ns wanijo-pipeline.joshavgde-pipeline
  (:use [lambdacd.steps.control-flow])
  (:require [lambdacd.steps.manualtrigger :as manualtrigger]
            [lambdacd.steps.shell :as lcd-shell]
            [lambdacd-git.core :as lcd-git]))

(defn pull [args ctx]
  (lcd-shell/bash ctx "/opt/wedder" "git pull"))

(defn render [args ctx]
  (lcd-shell/bash ctx "/opt/wedder" "lein equilibrium render"))

(defn deploy [args ctx]
  (lcd-shell/bash ctx (:cwd args) "lein equilibrium deploy"))

(def pipeline-def
  `(manualtrigger/wait-for-manual-trigger
    (with-workspace
      pull
      render
      deploy)))
